/*
    DB Port
    Copyright (C) 2010 Daniel Mewes
*/

package dbport;

import java.io.*;

import systeminterface.*;

class DbPort {
    public static void main(String[] args) {
        DbEnvironment environment = new DbEnvironment();
        
        // Fire up database...
        System.err.print("Starting up database ");
        System.err.flush();
        environment.database = Database.getInstance();
        environment.database.startSystem();
        System.err.println("done");
        System.err.flush();
    
    
        // Fire up listener...
        try {
            System.err.println("Listening on localhost:1082");
            System.err.flush();
            Listener listener = new Listener("localhost", 1082, environment);
            listener.listen();
        } catch (IOException e) {
            System.err.println("IO Exception: " + e);
            return;
        }
        System.err.println("Terminated");
    }
}
