/*
    DB Port
    Copyright (C) 2010 Daniel Mewes
*/

package dbport;

import systeminterface.*;
import operator.*;

class ListTablesPage extends HtmlPage {
    public static String getContent(DbEnvironment environment) {
        StringBuffer result = new StringBuffer();
        
        result.append(getHtmlHead());
        
        result.append("<h1>Tables</h1>");
        
        result.append("<table border=\"1\">\n<tr><th>Name</th><th>Columns</th><th>Actions</th></tr>\n");
        
        StorageLayer storageLayer = environment.database.getStorageInterface();
        Operator<? extends Table> tableOperator = storageLayer.getTables();
        
        tableOperator.open();
        Table currentTable;
        while ((currentTable = tableOperator.next()) != null) {
            result.append("<tr>");
            result.append("<td>");
            result.append(currentTable.getTableName());
            result.append("</td>");
            
            String columnList = "";
            Operator<? extends Column> columnOperator = currentTable.getAllColumns();
            columnOperator.open();
            Column currentColumn;
            while ((currentColumn = columnOperator.next()) != null) {
                columnList += currentColumn.getColumnName() + " : " + currentColumn.getColumnType().getName() + "<br>\n";
            }
            columnOperator.close();
            
            result.append("<td>");
            result.append(columnList);
            result.append("</td>");
            
            result.append("<td>");
            result.append("<a href=\"queryData?resultNode=1&amp;projection=&amp;input1Table=" + currentTable.getTableName() + "\">browse</a><br>\n");
            result.append("<a href=\"dropTable?name=" + currentTable.getTableName() + "\">drop</a>");
            result.append("</td>");
            
            result.append("</tr>\n");
        }
        
        tableOperator.close();
        
        result.append("</table>");
        
        result.append(getHtmlTail());
        
        return result.toString();
    }
}
